%define git_branch %(echo %version | cut -d. -f1-3)
Name:          rtl8188eus
Version:       5.3.9.20220319git
Release:       1mamba
Summary:       RealTek RTL8188eus WiFi driver with monitor mode & frame injection support
Group:         System/Kernel and Hardware/Drivers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/aircrack-ng/rtl8188eus
Source:        https://github.com/aircrack-ng/rtl8188eus.git/v%{git_branch}/rtl8188eus-%{version}.tar.bz2
Patch0:        rtl8188eus-5.3.9.20220319git-kernel-5.17.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires(post):dkms

%description
RealTek RTL8188eus WiFi driver with monitor mode & frame injection support.

%prep
%setup -q
%patch0 -p1 -b .kernel-5.17

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# dkms
install -d -m0755 %{buildroot}%{_prefix}/src/%{name}-%{version}

install -D -m644 dkms.conf %{buildroot}%{_prefix}/src/%{name}-%{version}/dkms.conf
for d in core hal include os_dep platform; do
	for f in $(find "$d" -type f); do
    	install -D -m644 $f %{buildroot}%{_prefix}/src/%{name}-%{version}/$f
	done
done

install -m644 Makefile %{buildroot}%{_prefix}/src/%{name}-%{version}/Makefile

install -d -m0755 %{buildroot}%{_modprobedir}
cat > %{buildroot}%{_modprobedir}/r8188eu.conf << _EOF
blacklist r8188eu
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
dkms remove -q -m %{name} -v %{version} --all --rpm_safe_upgrade
:

%posttrans
if [ $1 -ge 1 ]; then
   # clean any legacy alternatives symlink
   dkms remove -q -m %{name} -v %{version} --all --rpm_safe_upgrade
   dkms add -q -m %{name} -v %{version}
   dkms install -q -m %{name} -v %{version}
fi
:

%files
%defattr(-,root,root)
%{_modprobedir}/r8188eu.conf
%dir %{_prefix}/src/%{name}-%{version}
%{_prefix}/src/%{name}-%{version}/*
%doc README.md

%changelog
* Tue Aug 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.9.20220319git-1mamba
- update to 5.3.9.20220319git

* Tue Aug 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20220319git-1mamba
- package created using the webbuild interface
